# Max-height

The `max-height` rule sets a maximum height for a widget.

## Syntax

```
max-height: <SCALAR>;
```

## CSS

```sass

/* Set a maximum height of 10 rows */
max-height: 10;

/* Set a maximum height of 25% of the screen height */
max-height: 25vh;
```

## Python

```python
# Set the maximum width to 10 rows
widget.styles.max_height = 10

# Set the maximum width to 25% of the screen width
widget.styles.max_height = "25vw"

```
